# DataExchange
TKSTEP
StepAP203

# StepAP203_Change Class Reference

Representation of STEP entity Change
.

`#include <StepAP203_Change.hxx>`

Inheritance diagram for StepAP203_Change:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_Change ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Action)&aActionAssignment_AssignedAction, const Handle(StepAP203_HArray1OfWorkItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfWorkItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfWorkItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfWorkItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_Change::StepAP203_Change | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_Change::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ActionAssignment.

Standard_EXPORT void StepAP203_Change::Init | ( | const Handle(StepBasic_Action)& | aActionAssignment_AssignedAction,
|  | const Handle(StepAP203_HArray1OfWorkItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfWorkItem StepAP203_Change::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_Change::SetItems | ( | const Handle(StepAP203_HArray1OfWorkItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfWorkItem StepAP203_Change::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP203_Change.hxx